Re: Want to cut release Version 2.20.1 in Surefire project

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: Want to cut release Version 2.20.1 in Surefire project

Tibor Digana-2
Releasing 3.0 is not possible within one month.
It can be only 3.0-M1. It's not about new API only however old 3.0 branch
exists, we plan to introduce Extensions, break backwards compatibility with
Maven/System Properties and introduce JUnit5.

I think we can think of version 2.0 for Jigsaw.
Robert, I did not have time to analyse your branch yet because I was busy
this week.
Question: Why you need Java 7?

On Fri, Sep 8, 2017 at 10:09 AM, Robert Scholte <[hidden email]>
wrote:

> On top of that I'd like to do a 2.20.1-jpms (or 2.20.1-jigsaw) release.
> This has the same fixes as 2.20.1, but adds to support to run modular
> projects with the module path.
> It can't be part of the same release, because I had to push the Java
> version for source/target to 1.7
> For surefire I think it is better to do that in a 3.0.0 release together
> with an upgrade of the Maven dependencies to 3.0
>
> Robert
>
>
>
> On Thu, 07 Sep 2017 23:34:17 +0200, Tibor Digana <
> [hidden email]> wrote:
>
> Hi All,
>>
>> I would like to stop development in Surefire master till Version 2.20.1
>> [1]
>> is released. The reason is that an important issue with Out Of Memory
>> Error
>> is fixed.
>>
>> I have planned only 5 simple fixes, the most of them offered by our
>> contributors, in Version 2.20.2, and one important issue in 2.20.3.
>>
>> [1]:
>> <a href="https://issues.apache.org/jira/issues/?jql=project%20%3D%">https://issues.apache.org/jira/issues/?jql=project%20%3D%
>> 20SUREFIRE%20AND%20fixVersion%20%3D%202.20.1
>>
>>


--
Cheers
Tibor